- Qt 6.7
- Qt GRPC
- QML Types
- QQmlAbstractGrpcChannel
- Qt 6.7.2 Reference Documentation

# QQmlAbstractGrpcChannel QML Type

The QQmlAbstractGrpcChannel class is interface that represents common gRPC channel functionality in QML. More...

Import Statement: | import QtGrpc
Since: | Qt 6.7

- List of all members, including inherited members

## Methods

- std::shared_ptr<QAbstractGrpcChannel> getChannel()

## Detailed Description

You may implement this interface to create your own channels for gRPC transport. QQmlAbstractGrpcChannel is not creatable in QML, but it can be used for custom channel implementation.

Note: QQmlGrpcHttp2Channel, which are full implementations of QQmlAbstractGrpcChannel, is recommended to use for HTTP2 protocol.

See also QAbstractGrpcChannel and QQmlGrpcHttp2Channel.

## Method Documentation

std::shared_ptr<QAbstractGrpcChannel> getChannel()

This function returns the pointer to the gRPC channel object. This is a pure virtual function. You may override that function in the derived class.

See also QAbstractGrpcChannel and QQmlGrpcHttp2Channel.